| Home | Libraries | People | FAQ | More

#### http::is_mutable_body_writer

Determine if a type has a nested BodyWriter.

##### Synopsis

Defined in header `<boost/beast/http/type_traits.hpp>`

    template<
        class T>
    using is_mutable_body_writer = see-below;

##### Description

This alias template is `std::true_type` when:

- `T` has a nested type named `writer`
- `writer` meets the requirements of BodyWriter.

##### Template Parameters

Type | Description
--- | ---
`T` | The body type to test.

Convenience header `<boost/beast/http.hpp>`